# JSXGraph 1.10.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axes3D
- Axis
- Axis3D
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circle3D
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- IntersectionCircle3D
- IntersectionLine3D
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Mesh3D
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Sphere3D
- Spline
- Stepfunction
- Tangent
- TangentTo
- Tapemeasure
- Text
- Text3D
- Ticks
- Ticks3D
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Circle3D
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.Polygon3D
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Sphere3D
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Text3D
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML

# Class JXG.Math.Poly.Polynomial

↳ JXG.Math.Poly.Polynomial

Defined in: poly.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Poly.Polynomial(ring, str) A polynomial is a sum of monomials.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Poly.Polynomial.add(mp) Adds another polynomial or monomial to this one and merges them by checking for the signature of each new monomial in the existing monomials.
<static> | JXG.Math.Poly.Polynomial.addSubMonomial(m, factor) Adds a monomial to the polynomial.
<static> | JXG.Math.Poly.Polynomial.copy() Creates a deep copy of the polynomial.
<static> | JXG.Math.Poly.Polynomial.findSignature(sig) Find a monomial with the given signature, i.e.
<static> | JXG.Math.Poly.Polynomial.print() Prints the polynomial.
<static> | JXG.Math.Poly.Polynomial.sub(mp) Subtracts another polynomial or monomial from this one and merges them by checking for the signature of each new monomial in the existing monomials.

Class Detail
JXG.Math.Poly.Polynomial(ring, str)
A polynomial is a sum of monomials.

Parameters:
{JXG.Math.Poly.Ring} ring
  A polynomial ring.
{String} str
  TODO String representation of the polynomial, will be parsed.

Method Detail
<static> JXG.Math.Poly.Polynomial.add(mp)
Adds another polynomial or monomial to this one and merges them by checking for the signature of each new monomial in the existing monomials.

Parameters:
{JXG.Math.Poly.Polynomial|JXG.Math.Poly.Monomial} mp

<static> JXG.Math.Poly.Polynomial.addSubMonomial(m, factor)
Adds a monomial to the polynomial. Checks the existing monomials for the added monomial's signature and just adds the coefficient if one is found.

Parameters:
{JXG.Math.Poly.Monomial} m
{Number} factor
  Either `1` or `-1`.

<static> {JXG.Math.Poly.Polynomial} JXG.Math.Poly.Polynomial.copy()
Creates a deep copy of the polynomial.

Returns:
  {JXG.Math.Poly.Polynomial}

<static> {Number} JXG.Math.Poly.Polynomial.findSignature(sig)
Find a monomial with the given signature, i.e. exponent vector.

Parameters:
{Array} sig
  An array of numbers

Returns:
  {Number} The index of the first monomial with the given signature, or -1 if no monomial could be found.

<static> {String} JXG.Math.Poly.Polynomial.print()
Prints the polynomial.

Returns:
  {String} A string representation of the polynomial.

<static> JXG.Math.Poly.Polynomial.sub(mp)
Subtracts another polynomial or monomial from this one and merges them by checking for the signature of each new monomial in the existing monomials.

Parameters:
{JXG.Math.Poly.Polynomial|JXG.Math.Poly.Monomial} mp

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 02 2024 09:14:35 GMT+0200 (Mitteleuropäische Sommerzeit)